String Class Reference

## Public Member Functions

| String (int startsize=0)
| String (const char *s)
| String (const String &s)
| String (char ch, int count=1)
String & | Clear ()
String & | Copy (const String &s)
String & | Copy (const String &s, int start, int count)
String & | Copy (const char *s)
bool | IsEmpty () const
String & | ToUpper ()
String & | ToLower ()
String | AsUpper ()
String | AsLower ()
String | Capitalize ()
String & | Reverse ()
String & | LeftClip (int clipAmount)
String & | RightClip (int clipAmount)
String & | operator= (char ch)
String | operator+ (char ch) const
String & | operator+= (char ch)
String & | operator= (const String &rhs)
String | operator+ (const String &rhs) const
String & | operator+= (const String &rhs)
String & | operator= (const char *rhs)
String | operator+ (const char *rhs) const
String & | operator+= (const char *rhs)
String & | operator= (int rhs)
String | operator+ (int rhs) const
String & | operator+= (int rhs)
String & | operator= (double rhs)
String | operator+ (double rhs) const
String & | operator+= (double rhs)
void | appendFullFloat (float rhs)
String & | operator= (unsigned int rhs)
String | operator+ (unsigned int rhs) const
String & | operator+= (unsigned int rhs)
String | operator* (unsigned int rhs) const
String & | operator*= (unsigned int rhs)
int | Compare (const String &rhs) const
int | FastCompare (const String &rhs) const
int | SlowCompare (const String &rhs) const
int | Compare (const char *rhs) const
int | FastCompare (const char *rhs) const
int | SlowCompare (const char *rhs) const
int | CompareToStem (const String &stem) const
int | FastCompareToStem (const String &stem) const
int | SlowCompareToStem (const String &stem) const
int | CompareToStem (const char *stem) const
int | FastCompareToStem (const char *stem) const
int | SlowCompareToStem (const char *stem) const
int | MatchesBeginningOf (const String &stem) const
int | FastMatchesBeginningOf (const String &stem) const
int | SlowMatchesBeginningOf (const String &stem) const
int | MatchesBeginningOf (const char *stem) const
int | FastMatchesBeginningOf (const char *stem) const
int | SlowMatchesBeginningOf (const char *stem) const
int | operator== (const String &rhs) const
int | operator!= (const String &rhs) const
int | operator< (const String &rhs) const
int | operator> (const String &rhs) const
int | operator>= (const String &rhs) const
int | operator<= (const String &rhs) const
int | operator== (const char *rhs) const
int | operator!= (const char *rhs) const
int | operator< (const char *rhs) const
int | operator> (const char *rhs) const
int | operator<= (const char *rhs) const
int | operator>= (const char *rhs) const
| operator const char * () const
const char * | c_str () const
| operator char * ()
| operator int () const
| operator double () const
| operator long double () const
char | operator[] (int i) const
char & | operator[] (int i)
char & | Last ()
char & | First ()
void | Grow (int newSize)
void | Swap (String &s)
char * | LockBuffer (int size=-1)
String & | UnlockBuffer ()
String & | Read ()
int | ReadLine ()
void | WriteLine ()
void | Write ()
String & | Read (FILE *f)
int | ReadLine (FILE *f)
void | WriteLine (FILE *f)
void | Write (FILE *f)
String & | Read (IFILE &f)
int | ReadLine (IFILE &f)
String | Left (int count) const
String | Right (int count) const
String | Mid (int start, int end) const
String | SubStr (int start, int count) const
String | SubStr (int start) const
int | FindChar (char ch, int start=0) const
int | FastFindChar (char ch, int start=0) const
int | SlowFindChar (char ch, int start=0) const
int | FindLastChar (char ch) const
int | FastFindLastChar (char ch) const
int | SlowFindLastChar (char ch) const
int | Find (char ch, int start=0) const
int | Find (const String &str, int start=0) const
int | FastFind (const String &str, int start=0) const
int | SlowFind (const String &str, int start=0) const
String & | Filter (const String &s)
String & | Filter (const char *s)
String & | ExcludeCharacters (const String &s)
String & | ExcludeCharacters (const char *s)
int | Length () const
int | BufferSize () const
int | SetLength (int newlen)
int | Dimension (int newlen)
String & | Add (const String &s)
String & | Add (char ch)
String | RightToLeft ()
String & | Invert ()
String & | Invert (const String &s)
String & | Trim ()
String & | Trim (char character)
vector< String > * | Split (char splitChar)
long | AsInteger () const
bool | AsInteger (long &intValue) const
bool | AsInteger (int &intValue) const
double | AsDouble () const
long double | AsLongDouble () const
int | printf (const char *format,...)
int | vprintf (const char *format, va_list arglist)
int | catprintf (const char *format,...)
int | vcatprintf (const char *format, va_list arglist)
bool | IsNumber ()
const unsigned char * | uchar () const
const signed char * | schar () const
void | Fill (char ch, int length=-1)

## Static Public Member Functions

static int | my_snprintf (char *buffer, int bufsize, const char *format,...)
static int | my_vsnprintf (char *buffer, int bufsize, const char *format, va_list args)
static void | my_vsnprintf_close_file ()
static void | check_vsnprintf ()

## Static Public Attributes

static int | alloc = 8
static bool | caseSensitive = true
static FILE * | my_vsnprintf_file = NULL

## Protected Attributes

char * | buffer
int | len
int | size

## Detailed Description

Definition at line 38 of file StringBasics.h.

The documentation for this class was generated from the following files:

- general/StringBasics.h
- general/StringBasics.cpp